# pandas.PeriodDtype

class pandas.PeriodDtype(freq=None)

  An ExtensionDtype for Period data.

  This is not an actual numpy dtype, but a duck type.

  Parameters
    freq str or DateOffset

      The frequency of this PeriodDtype.

  Examples

      >>> pd.PeriodDtype(freq='D')
      period[D]

      >>> pd.PeriodDtype(freq=pd.offsets.MonthEnd())
      period[M]

  Attributes

  `freq` | The frequency object of this PeriodDtype.

  Methods

  None |